Upstream information

CVE-2017-9148 at MITRE

Description

The TLS session cache in FreeRADIUS 2.1.1 through 2.1.7, 3.0.x before 3.0.14, 3.1.x before 2017-02-04, and 4.0.x before 2017-02-04 fails to reliably prevent resumption of an unauthenticated session, which allows remote attackers (such as malicious 802.1X supplicants) to bypass authentication via PEAP or TTLS.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.4
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High None
SUSE Bugzilla entries: 1041445 [RESOLVED / FIXED], 1046141 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • freeradius-server >= 3.0.16-1.41
  • freeradius-server-devel >= 3.0.16-1.41
  • freeradius-server-krb5 >= 3.0.16-1.41
  • freeradius-server-ldap >= 3.0.16-1.41
  • freeradius-server-libs >= 3.0.16-1.41
  • freeradius-server-mysql >= 3.0.16-1.41
  • freeradius-server-perl >= 3.0.16-1.41
  • freeradius-server-postgresql >= 3.0.16-1.41
  • freeradius-server-python >= 3.0.16-1.41
  • freeradius-server-sqlite >= 3.0.16-1.41
  • freeradius-server-utils >= 3.0.16-1.41
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA freeradius-server
SUSE Linux Enterprise Server 11 SP4
  • freeradius-server >= 2.1.1-7.24.1
  • freeradius-server-dialupadmin >= 2.1.1-7.24.1
  • freeradius-server-doc >= 2.1.1-7.24.1
  • freeradius-server-libs >= 2.1.1-7.24.1
  • freeradius-server-utils >= 2.1.1-7.24.1
Patchnames:
slessp4-freeradius-server-13192
SUSE Linux Enterprise Server 12 SP2
  • freeradius-server >= 3.0.3-17.4.1
  • freeradius-server-doc >= 3.0.3-17.4.1
  • freeradius-server-krb5 >= 3.0.3-17.4.1
  • freeradius-server-ldap >= 3.0.3-17.4.1
  • freeradius-server-libs >= 3.0.3-17.4.1
  • freeradius-server-mysql >= 3.0.3-17.4.1
  • freeradius-server-perl >= 3.0.3-17.4.1
  • freeradius-server-postgresql >= 3.0.3-17.4.1
  • freeradius-server-python >= 3.0.3-17.4.1
  • freeradius-server-sqlite >= 3.0.3-17.4.1
  • freeradius-server-utils >= 3.0.3-17.4.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1056
SUSE Linux Enterprise Server 12 SP3
  • freeradius-server >= 3.0.14-1.8
  • freeradius-server-doc >= 3.0.14-1.8
  • freeradius-server-krb5 >= 3.0.14-1.8
  • freeradius-server-ldap >= 3.0.14-1.8
  • freeradius-server-libs >= 3.0.14-1.8
  • freeradius-server-mysql >= 3.0.14-1.8
  • freeradius-server-perl >= 3.0.14-1.8
  • freeradius-server-postgresql >= 3.0.14-1.8
  • freeradius-server-python >= 3.0.14-1.8
  • freeradius-server-sqlite >= 3.0.14-1.8
  • freeradius-server-utils >= 3.0.14-1.8
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA freeradius-server
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • freeradius-server >= 3.0.3-17.4.1
  • freeradius-server-doc >= 3.0.3-17.4.1
  • freeradius-server-krb5 >= 3.0.3-17.4.1
  • freeradius-server-ldap >= 3.0.3-17.4.1
  • freeradius-server-libs >= 3.0.3-17.4.1
  • freeradius-server-mysql >= 3.0.3-17.4.1
  • freeradius-server-perl >= 3.0.3-17.4.1
  • freeradius-server-postgresql >= 3.0.3-17.4.1
  • freeradius-server-python >= 3.0.3-17.4.1
  • freeradius-server-sqlite >= 3.0.3-17.4.1
  • freeradius-server-utils >= 3.0.3-17.4.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1056
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • freeradius-server >= 2.1.1-7.24.1
  • freeradius-server-dialupadmin >= 2.1.1-7.24.1
  • freeradius-server-doc >= 2.1.1-7.24.1
  • freeradius-server-libs >= 2.1.1-7.24.1
  • freeradius-server-utils >= 2.1.1-7.24.1
Patchnames:
slessp4-freeradius-server-13192
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • freeradius-server >= 3.0.3-17.4.1
  • freeradius-server-doc >= 3.0.3-17.4.1
  • freeradius-server-krb5 >= 3.0.3-17.4.1
  • freeradius-server-ldap >= 3.0.3-17.4.1
  • freeradius-server-libs >= 3.0.3-17.4.1
  • freeradius-server-mysql >= 3.0.3-17.4.1
  • freeradius-server-perl >= 3.0.3-17.4.1
  • freeradius-server-postgresql >= 3.0.3-17.4.1
  • freeradius-server-python >= 3.0.3-17.4.1
  • freeradius-server-sqlite >= 3.0.3-17.4.1
  • freeradius-server-utils >= 3.0.3-17.4.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1056
SUSE Linux Enterprise Software Development Kit 11 SP4
  • freeradius-server >= 2.1.1-7.24.1
  • freeradius-server-devel >= 2.1.1-7.24.1
  • freeradius-server-libs >= 2.1.1-7.24.1
Patchnames:
sdksp4-freeradius-server-13192
SUSE Linux Enterprise Software Development Kit 12 SP2
  • freeradius-server >= 3.0.3-17.4.1
  • freeradius-server-devel >= 3.0.3-17.4.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1056
SUSE Linux Enterprise Software Development Kit 12 SP3
  • freeradius-server-devel >= 3.0.14-1.8
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA freeradius-server-devel
openSUSE Leap 42.2
  • freeradius-server >= 3.0.12-2.3.1
  • freeradius-server-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-debugsource >= 3.0.12-2.3.1
  • freeradius-server-devel >= 3.0.12-2.3.1
  • freeradius-server-doc >= 3.0.12-2.3.1
  • freeradius-server-krb5 >= 3.0.12-2.3.1
  • freeradius-server-krb5-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-ldap >= 3.0.12-2.3.1
  • freeradius-server-ldap-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-libs >= 3.0.12-2.3.1
  • freeradius-server-libs-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-mysql >= 3.0.12-2.3.1
  • freeradius-server-mysql-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-perl >= 3.0.12-2.3.1
  • freeradius-server-perl-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-postgresql >= 3.0.12-2.3.1
  • freeradius-server-postgresql-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-python >= 3.0.12-2.3.1
  • freeradius-server-python-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-sqlite >= 3.0.12-2.3.1
  • freeradius-server-sqlite-debuginfo >= 3.0.12-2.3.1
  • freeradius-server-utils >= 3.0.12-2.3.1
  • freeradius-server-utils-debuginfo >= 3.0.12-2.3.1
Patchnames:
openSUSE-2017-709


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 freeradius-server Released
SUSE Linux Enterprise SDK 12 SP1 freeradius-server Unsupported
SUSE Linux Enterprise SDK 12 SP2 freeradius-server Released
SUSE Linux Enterprise Server 11 SP3 LTSS freeradius-server Affected
SUSE Linux Enterprise Server 11 SP4 freeradius-server Released
SUSE Linux Enterprise Server 12 GA LTSS freeradius-server Affected
SUSE Linux Enterprise Server 12 SP1 freeradius-server Unsupported
SUSE Linux Enterprise Server 12 SP2 freeradius-server Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI freeradius-server Released